MPD 0.19.10

- Main Page
- Files

- File List
- Globals

Macros
Compiler.h File Reference

Go to the source code of this file.

## Macros
#define | GCC_MAKE_VERSION(major, minor, patchlevel) ((major) * 10000 + (minor) * 100 + patchlevel)
#define | GCC_VERSION 0
#define | GCC_CHECK_VERSION(major, minor) (defined(__GNUC__) && GCC_VERSION >= GCC_MAKE_VERSION(major, minor, 0))
#define | GCC_OLDER_THAN(major, minor)
| Are we building with gcc (not clang or any other compiler) and a version older than the specified one? More...
#define | CLANG_CHECK_VERSION(major, minor)
| Are we building with the specified version of clang or newer? More...
#define | gcc_const
#define | gcc_deprecated
#define | gcc_may_alias
#define | gcc_malloc
#define | gcc_noreturn
#define | gcc_packed
#define | gcc_printf(a, b)
#define | gcc_pure
#define | gcc_sentinel
#define | gcc_unused
#define | gcc_warn_unused_result
#define | gcc_nonnull(...)
#define | gcc_nonnull_all
#define | gcc_likely(x) (x)
#define | gcc_unlikely(x) (x)
#define | gcc_aligned(n)
#define | gcc_visibility_hidden
#define | gcc_visibility_default
#define | gcc_always_inline inline
#define | gcc_hot
#define | gcc_cold
#define | gcc_flatten
#define | gcc_restrict restrict
#define | __has_feature(x) 0
#define | gcc_unused_field
#define | gcc_unreachable()

## Macro Definition Documentation

#define __has_feature | ( |  | x | ) | 0

Definition at line 171 of file Compiler.h.

#define CLANG_CHECK_VERSION | ( |  | major,
|  |  | minor
| ) |  |

Value:
(defined(__clang__) && \
CLANG_VERSION >= GCC_MAKE_VERSION(major, minor, 0))
GCC_MAKE_VERSION
#define GCC_MAKE_VERSION(major, minor, patchlevel)
Definition: Compiler.h:23

Are we building with the specified version of clang or newer?

Definition at line 58 of file Compiler.h.

#define gcc_aligned | ( |  | n | ) |

Definition at line 113 of file Compiler.h.

#define gcc_always_inline inline

Definition at line 118 of file Compiler.h.

#define GCC_CHECK_VERSION | ( |  | major,
|  |  | minor
| ) |  | (defined(__GNUC__) && GCC_VERSION >= GCC_MAKE_VERSION(major, minor, 0))

Definition at line 31 of file Compiler.h.

#define gcc_cold

Definition at line 130 of file Compiler.h.

#define gcc_const

Definition at line 95 of file Compiler.h.

#define gcc_deprecated

Definition at line 96 of file Compiler.h.

#define gcc_flatten

Definition at line 137 of file Compiler.h.

#define gcc_hot

Definition at line 129 of file Compiler.h.

#define gcc_likely | ( |  | x | ) | (x)

Definition at line 110 of file Compiler.h.

#define GCC_MAKE_VERSION | ( |  | major,
|  |  | minor,
|  |  | patchlevel
| ) |  | ((major) * 10000 + (minor) * 100 + patchlevel)

Definition at line 23 of file Compiler.h.

#define gcc_malloc

Definition at line 98 of file Compiler.h.

#define gcc_may_alias

Definition at line 97 of file Compiler.h.

#define gcc_nonnull | ( |  | ... | ) |

Definition at line 107 of file Compiler.h.

#define gcc_nonnull_all

Definition at line 108 of file Compiler.h.

#define gcc_noreturn

Definition at line 99 of file Compiler.h.

#define GCC_OLDER_THAN | ( |  | major,
|  |  | minor
| ) |  |

Value:
(defined(__GNUC__) && !defined(__clang__) && \
GCC_VERSION < GCC_MAKE_VERSION(major, minor, 0))
GCC_VERSION
#define GCC_VERSION
Definition: Compiler.h:28
GCC_MAKE_VERSION
#define GCC_MAKE_VERSION(major, minor, patchlevel)
Definition: Compiler.h:23

Are we building with gcc (not clang or any other compiler) and a version older than the specified one?

Definition at line 38 of file Compiler.h.

#define gcc_packed

Definition at line 100 of file Compiler.h.

#define gcc_printf | ( |  | a,
|  |  | b
| ) |  |

Definition at line 101 of file Compiler.h.

#define gcc_pure

Definition at line 102 of file Compiler.h.

#define gcc_restrict restrict

Definition at line 142 of file Compiler.h.

#define gcc_sentinel

Definition at line 103 of file Compiler.h.

#define gcc_unlikely | ( |  | x | ) | (x)

Definition at line 111 of file Compiler.h.

#define gcc_unreachable | ( |  | ) |

Definition at line 183 of file Compiler.h.

#define gcc_unused

Definition at line 104 of file Compiler.h.

#define gcc_unused_field

Definition at line 177 of file Compiler.h.

#define GCC_VERSION 0

Definition at line 28 of file Compiler.h.

#define gcc_visibility_default

Definition at line 116 of file Compiler.h.

#define gcc_visibility_hidden

Definition at line 115 of file Compiler.h.

#define gcc_warn_unused_result

Definition at line 105 of file Compiler.h.